<?php

   //============================================

   // VsAjax Demo

   // Copyright  2004-2006 RoboWiz Corporation

   //============================================



   //--------------------------------------------

   // Extract the Url fields

   //--------------------------------------------

   $flds = explode('&', $QUERY_STRING);



   //--------------------------------------------

   // Set Session

   //--------------------------------------------

   $sid = scan_url_fields($flds, "sid");

   if (strlen($sid) > 0) {

      session_id($sid);

   }

   session_start();

   if (!isset($_SESSION['data'])) {

      include("vsajaxdata.php");

      $_SESSION['data'] = 'true';

      $_SESSION['clientlist'] = $clientlist;

      $_SESSION['clientdetail'] = $clientdetail;

      $_SESSION['clientrentals'] = $clientrentals;

   }



   //--------------------------------------------

   // Process the url commands

   //--------------------------------------------

   switch (scan_url_fields($flds, "cmd")) {

      case "clear":

	 unset($_SESSION['data']);

         break;

      case "clientadd":

         cmd_clientadd(scan_url_fields($flds, "data"));

         break;

      case "clientdetail":

         cmd_clientdetail(scan_url_fields($flds, "id"));

         break;

      case "clientlist":

         cmd_clientlist();

         break;

      case "clientrentals":

         cmd_clientrentals(scan_url_fields($flds, "id"));

         break;

   }

   exit;



   //--------------------------------------------

   // Scan URL fields

   // -- $tagpattern is field searched

   // -- returns matching value as string

   // -- returns empty string if no match

   //--------------------------------------------

   function scan_url_fields($flds, $tagpattern) {

      foreach ($flds as $fld) {

         list($tag, $arg) = split('=', $fld);

         if (strcmp($tag, $tagpattern) == 0) {

            return $arg;

         }

      }

      return "";

   }



   //--------------------------------------------

   // Comparison function for client list

   // -- return the comparison integer

   //--------------------------------------------

   function clientcmp($a, $b) {

      return strcmp($a[0], $b[0]);

   }



   //--------------------------------------------

   // Add new client to clientlist

   //--------------------------------------------

   function cmd_clientadd($data) {

      $_SESSION['clientlist'][] = unserialize(base64_decode($data));

   }



   //--------------------------------------------

   // Send the Client List to requestor

   //--------------------------------------------

   function cmd_clientlist() {

      usort($_SESSION['clientlist'], "clientcmp");

      print(serialize($_SESSION['clientlist']));

   }



   //--------------------------------------------

   // Request for Client Detail

   // -- return the formatted client detail record

   // -- return error message if none found

   //--------------------------------------------

   function cmd_clientdetail($key) {

      if (array_key_exists($key, $_SESSION['clientdetail'])) {

         print(serialize($_SESSION['clientdetail'][$key]));

      }

      else {

         print(serialize("<no detail for " . $key. ">"));

      }

   }



   //--------------------------------------------

   // Request for Client Rentals

   // -- return array of rentals

   // -- return empty array if none found

   //--------------------------------------------

   function cmd_clientrentals($key) {

      if (array_key_exists($key, $_SESSION['clientrentals'])) {

         print(serialize($_SESSION['clientrentals'][$key]));

      }

      else {

         print(serialize(array()));

      }

   }



?>

